Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
GETTicket OperationsSince 3.6.0SynchronousAuth Required

QueryTicketType

QueryTicketType

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      类型。

    • requestsStringRequired

      请求。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/ticket-types

/zstack/v1/ticket-types

Operation ID

QueryTicketType

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ticket-types' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "3b933e9aaf2d49b9a3dcf0c92867790f", "name": "CREATE_VM_INSTANCE_TICKET_TYPE", "adminOnly": false, "createDate": "Jul 18, 2019 4:09:46 PM", "lastOpDate": "Jul 18, 2019 4:09:46 PM" } ] }

Change History

This API has no change history records yet.

View all change history